<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

use Kufer\Web\Classes\Ampel\AmpelStatus\Ampel4StatusBerechnungKuferWeb;

class TeilnehmerzahlenBerechnetTest extends \PHPUnit\Framework\TestCase
{
  protected function setUp(): void
  {
  }

  protected function tearDown(): void
  {
  }

  /**
   * @test
   */
  public function berechneAmpelStatus_KinderkursZweiMaxEinerBelegt_nichtVoll()
  {
    $kurs = new Kurs();
    $kurs->typ = 'L';
    $kurs->teil_max = 0;
    $kurs->kinder_max = 0;
    $kurs->kurse2->tnki_max = 6;
    $provider = new TeilnehmerzahlenProviderFromKurs($kurs);
    $sut = new TeilnehmerzahlenBerechnetNormalkurs($provider);
    $this->assertEquals(6, $sut->getAnzahlTeilnehmerUndKinderMaximal());
  }
}
